Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		qTUIO
#Epoch:		0
Version:	0.0.0.1
Release:	1
License:	GNU/LGPL
URL:		http://qtuio.sirbabyface.net/
Group:		System/Libraries
Summary:	Qt interface for the TUIO protocol.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}

# Patches:

# Requires:

# BuildRequires:
BuildRequires: pkgconfig
BuildRequires: qt4-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: libX11-devel

%description
qTUIO is a project to develop a Qt interface for the TUIO protocol.
It should integrate with the current support for gesture and multi-touch event from Qt starting in version 4.6.0.


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package        examples
Summary:        %{name} example applications.
Group:          Development/
Requires:       %{name} = %{version}-%{release}

%description    examples
example applications for %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
# build main library
pushd src
qmake-qt4 ./
make %{?_smp_mflags}
popd

# build example applications
pushd examples
for i in `ls`; do 
	pushd $i 
	qmake-qt4 ./ && make
	popd 
done
popd

%install
rm -Rf $RPM_BUILD_ROOT
# install main library
pushd src
mkdir -p $RPM_BUILD_ROOT%{_libdir}
cp -r ../lib/* $RPM_BUILD_ROOT%{_libdir}
popd

# install example applications
pushd examples
mkdir -p $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples

for i in `ls`; do
pushd $i 
case $i in
	dials)
		mkdir -p $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i
		cp dials $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
		;;
	fingerpaint)
		mkdir -p $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i
		cp fingerpaint $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
		cp fingerpaint.png $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
		cp startFingerPaint.sh $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
		;;
	knobs)
		mkdir -p $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i
		cp knobs $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
		cp knobs.png $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
		cp startKnob.sh $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
		;;
	pinchzoom)
		mkdir -p $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i
                cp pinchzoom $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
                cp -r images $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
                cp startPinchZoom.sh $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
		;;
	pong)
		mkdir -p $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i
		cp pong $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
#               cp images $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/
		ls
                cp startPong.sh $RPM_BUILD_ROOT%{_bindir}/qTUIO_examples/$i/	
		;;
	*)	echo -e "Skipping unknown example application."
		;;
esac
popd 
done

popd

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libqTUIO.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libqTUIO.so

%files examples
%defattr(-,root,root)
%{_bindir}/qTUIO_examples/dials/dials
%{_bindir}/qTUIO_examples/fingerpaint/fingerpaint
%{_bindir}/qTUIO_examples/fingerpaint/fingerpaint.png
%{_bindir}/qTUIO_examples/fingerpaint/startFingerPaint.sh
%{_bindir}/qTUIO_examples/knobs/knobs
%{_bindir}/qTUIO_examples/knobs/knobs.png
%{_bindir}/qTUIO_examples/knobs/startKnob.sh
%{_bindir}/qTUIO_examples/pinchzoom/images/cheese.jpg
%{_bindir}/qTUIO_examples/pinchzoom/pinchzoom
%{_bindir}/qTUIO_examples/pinchzoom/startPinchZoom.sh
%{_bindir}/qTUIO_examples/pong/pong
%{_bindir}/qTUIO_examples/pong/startPong.sh


%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Wed Mar 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.1-1
- initial CCux package release
